package net.nend.nendplugin

import android.app.Activity
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.PluginRegistry

const val KEY_ERROR_CODE = "errorCode"

open class AdBridger(registrar: PluginRegistry.Registrar, val mappingId: String) {
    val activity: Activity? = registrar.activity()

    fun getTag(by: Any): String {
        return by.javaClass.simpleName
    }

    fun getMethod(call: MethodCall, tag: String): MethodName =
            MethodName.valueOf(call.method.replace("$tag.", "").capitalize())

    enum class MethodName {
        LoadAd,
        ReleaseAd,
        ShowAd,
        HideAd,
        Layout,
        //どの広告だけでも定義されているのは↑もにまとめとく

        Resume,
        Pause,

        IsReady,
        MediationName,
        UserId,
        UserFeature,
        AddFallbackFullboard,
        IsEnableAutoReload,
        DismissAd,
        LocationEnabled,
        MuteStartPlaying,
        //特定の広告だけで定義されているのは↑な感じでまとめとく

        //ここより↑に追加していく感じでm(_ _)m
        NotFound
    }

    enum class CallbackName {
        OnLoaded,
        OnFailedToLoad,
        OnAdClicked,
        OnInformationClicked,
        //どの広告だけでも定義されているのは↑もにまとめとく

        OnFailedToPlay,
        OnShown,
        OnClosed,
        OnStarted,
        OnStopped,
        OnCompleted,
        OnRewarded,
        OnFailedToShow,
        //特定の広告だけで定義されているのは↑な感じでまとめとく

        //ここより↑に追加していく感じでm(_ _)m
        NotFound
    }
}